%define libxft %mklibname xft 2
%define develname %mklibname -d xft
%define staticdevelname %mklibname -d -s xft

Name: libxft
Summary:  X FreeType library
Version: 2.1.13
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXft-%{version}.tar.bz2
# (fc) 2.1.8.2-4mdv enable artificial embolding in Xft
Patch1: libXft-2.1.8.2-embold.patch
# (fwang) Patch from MagicLinux, enable embedded bitmap option in Xft
Patch2: libXft-2.1.8-add-embeddedbitmap-and-gamma-option.patch
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libfontconfig-devel >= 2.3.93
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxrender-devel >= 0.9.0.2
BuildRequires: x11-util-macros >= 1.0.1

%description
X FreeType library

#-----------------------------------------------------------

%package -n %{libxft}
Summary:  X FreeType library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxft}
X FreeType library

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxft} = %{version}
Requires: freetype2-devel >= 2.1.10
Provides: xft2-devel = %{version}-%{release}
Provides: libxft-devel = %{version}-%{release}
Obsoletes: %libxft-devel

Conflicts: libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}

%pre -n %{develname}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{develname}
%defattr(-,root,root)
%multiarch %{multiarch_bindir}/xft-config
%{_bindir}/xft-config
%{_libdir}/libXft.so
%{_libdir}/libXft.la
%{_libdir}/pkgconfig/xft.pc
%{_includedir}/X11/Xft/Xft.h
%{_includedir}/X11/Xft/XftCompat.h
%{_mandir}/man1/xft-config.*
%{_mandir}/man3/Xft.*

#-----------------------------------------------------------

%package -n %{staticdevelname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}-%{release}
Provides: xft2-static-devel = %{version}-%{release}
Provides: libxft-static-devel = %{version}-%{release}
Obsoletes: %{libxft}-static-devel

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{staticdevelname}
Static development files for %{name}

%files -n %{staticdevelname}
%defattr(-,root,root)
%{_libdir}/libXft.a

#-----------------------------------------------------------

%prep
%setup -q -n libXft-%{version}
%patch1 -p1 -b .embold
%patch2 -p0 -b .embeddedbitmap

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/xft-config

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libxft} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libxft} -p /sbin/ldconfig
%endif

%files -n %{libxft}
%defattr(-,root,root)
%{_libdir}/libXft.so.2
%{_libdir}/libXft.so.%{version}


%changelog
* Fri Nov 07 2008 Olivier Blin <oblin@mandriva.com> 2.1.13-2mdv2009.1
+ Revision: 300407
- rebuild for new xcb

* Wed Jul 16 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.1.13-1mdv2009.0
+ Revision: 236612
- Update to version 2.1.13

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.12-5mdv2009.0
+ Revision: 223075
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.1.12-4mdv2008.1
+ Revision: 153315
- Update BuildRequires and rebuild

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.12-3mdv2008.1
+ Revision: 150855
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Funda Wang <fundawang@mandriva.org> 2.1.12-2mdv2008.0
+ Revision: 75051
- Fix wrong rel
- introduce magiclinux's patch so that applications based on libxft could
  use embedded bitmap font too

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not harcode man page extension


* Thu Dec 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.1.12-1mdv2007.0
+ Revision: 97063
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix some multiarch files
    - new upstream release (2.1.20):
      * Move XftNameUnparse to the public API
    - new upstream version (2.1.9):
      * Don't export unnecessary symbols.
    - rebuild to fix cooker uploading
    - added missing provides
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Anssi Hannula <anssi@mandriva.org>
    - mark xft-config as multiarch

  + Frederic Crozat <fcrozat@mandriva.com>
    - Move ldconfig call to correct package
    - Patch0: fix crash with rxvt-unicode
    - Patch1: enable artificial embolding

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

